name: Latex Build
run-name: ${{ github.actor }} is testing out Gitea Actions 🚀
on: [push]

jobs:
  LatexBuild:
    runs-on: pi64
    container:
      image: git.horstenkamp.eu/server/textlive-docker-image/texlive:experimental
      credentials:
        username: runner
        password: ${{ secrets.PACKAGES }}}
    steps:
    - name: Checkout
      uses: actions/checkout@v3
    - name: Compile
      run: |
        pdflatex pal-vorstellung.tex
        biber pal-vorstellung
        pdflatex pal-vorstellung.tex
        pdflatex pal-vorstellung.tex
        pdflatex pal-vorstellung.tex
    - uses: actions/upload-artifact@v3
      with:
        path: pal-vorstellung.pdf
        name: pal-vorstellung
